Page MenuHomePhabricator

Deploy Growth features on Polish Wikipedia
Closed, ResolvedPublic

Description

First

Translations

Help panel

Homepage

Suggested edits

For templates only, you can suggest more templates that match the task description.

Extra links:

Anything else?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2020, 12:59 PM
Masti added a subscriber: Masti.Jun 2 2020, 2:27 PM
PMG awarded a token.Jun 8 2020, 12:51 PM
Trizek-WMF updated the task description. (Show Details)Jun 16 2020, 1:24 PM
Trizek-WMF updated the task description. (Show Details)Jun 16 2020, 1:29 PM
Trizek-WMF updated the task description. (Show Details)Jun 16 2020, 1:49 PM
Trizek-WMF updated the task description. (Show Details)Jun 17 2020, 12:13 PM

Two updates:

  • On Friday this week, Marshall will present the Growth prototypes to the Polish community at the Polish Wikiconference.
  • Legal gave the go for the deployment.
Trizek-WMF updated the task description. (Show Details)Jun 30 2020, 5:04 PM
Nux added a subscriber: Nux.Jul 3 2020, 4:01 PM
Nux added a comment.EditedJul 4 2020, 10:58 AM

Interface translation is done. Probably needs testing, but I finished all yesterday/today 🙂. Edit: just as a note - I just run the final mile. Did not want to suggest I did it all by myself 😊

For your information, I'm on vacation until July 22. If you have any question about the tools, please ask @MMiller_WMF!

Interface translation is done. Probably needs testing, but I finished all yesterday/today 🙂. Edit: just as a note - I just run the final mile. Did not want to suggest I did it all by myself 😊

Thank you for making this last run! :)

Wargo added a subscriber: Wargo.Jul 21 2020, 12:24 PM

Hello! Any updates since the last time?

Trizek-WMF updated the task description. (Show Details)Jul 29 2020, 11:42 AM
Trizek-WMF updated the task description. (Show Details)Aug 12 2020, 5:47 PM
Nux added a comment.Aug 13 2020, 1:19 PM

This is all done:

Translate aliases:

  • Special:Homepage → Strona domowa
  • Special:WelcomeSurvey → Ankieta powitalna
  • Special:Impact → Wpływ
  • Special:ClaimMentee → Wybierz nowicjusza
Nux added a comment.Aug 13 2020, 4:15 PM

Manual of style (Q4994848): https://pl.wikipedia.org/wiki/Pomoc:Styl_%E2%80%93_poradnik_dla_autor%C3%B3w. More or less... We don't have such a large compendium as enwiki, but should be enough for beginners.

Nux added a comment.Aug 13 2020, 4:25 PM

Tutorial (Q915263) -- this seems wrong. It links to a historical tutorial.

Our first steps page is here: https://pl.wikipedia.org/wiki/Pomoc:Pierwsze_kroki

We don't have a separate tutorial or a page about updating articles. Are these blockers?

PMG added a subscriber: PMG.Aug 28 2020, 12:48 PM

Sorry for the very late reply, my schedule is a bit packed these days!

We don't have a separate tutorial or a page about updating articles. Are these blockers?

The Homepage suggests to users to read a page that explains what Wikipedia is and how it works. Any page is fine, as far as it is not cal for action (like https://pl.wikipedia.org/wiki/Pomoc:Pierwsze_kroki does).

Manual of style (Q4994848): https://pl.wikipedia.org/wiki/Pomoc:Styl_%E2%80%93_poradnik_dla_autor%C3%B3w. More or less... We don't have such a large compendium as enwiki, but should be enough for beginners.

I rely on your expertise. Plus, you will be able to change this page later if needed.

Nux added a comment.Sep 7 2020, 7:04 PM

We don't have a separate tutorial or a page about updating articles. Are these blockers?

The Homepage suggests to users to read a page that explains what Wikipedia is and how it works. Any page is fine, as far as it is not cal for action (like https://pl.wikipedia.org/wiki/Pomoc:Pierwsze_kroki does).

In that case lets start with our Five pillars page. The page is simple and has links to other articles that dive deeper.
https://pl.wikipedia.org/wiki/Wikipedia:Pi%C4%99%C4%87_filar%C3%B3w

As I understand this will be changeable here (once deployed):
https://pl.wikipedia.org/wiki/MediaWiki:NewcomerTasks.json

Trizek-WMF updated the task description. (Show Details)
Trizek-WMF added a subscriber: Catrope.

Ok, let's go with it. :)

I'm assigning this task to @Catrope, who will do the configuration. He will let you know when everything will be ready to set a release date.

As I understand this will be changeable here (once deployed):
https://pl.wikipedia.org/wiki/MediaWiki:NewcomerTasks.json

Correct.

Change 625958 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Polish (pl)

https://gerrit.wikimedia.org/r/625958

@Nux or other Polish speakers, could you please help me with the labels (text) for the links to the help pages? I've tried guessing, but I don't speak Polish so I've probably gotten it wrong. Here's how the list of links would be displayed to users with my guesses, please tell me what to change these to:

Also note that the Wikidata item listed as the learn more link for "update article" (Q4664141) doesn't have a plwiki page, so that task will not have a "learn more" link (this is fine, if there is no appropriate page to link to). As you noted, this can be changed at https://pl.wikipedia.org/wiki/MediaWiki:NewcomerTasks.json (which I've now created).

Change 625963 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable and configure GrowthExperiments on plwiki

https://gerrit.wikimedia.org/r/625963

Change 625958 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Polish (pl)

https://gerrit.wikimedia.org/r/625958

PMG added a comment.Sep 9 2020, 7:20 PM

@Nux or other Polish speakers, could you please help me with the labels (text) for the links to the help pages? I've tried guessing, but I don't speak Polish so I've probably gotten it wrong. Here's how the list of links would be displayed to users with my guesses, please tell me what to change these to:

Also note that the Wikidata item listed as the learn more link for "update article" (Q4664141) doesn't have a plwiki page, so that task will not have a "learn more" link (this is fine, if there is no appropriate page to link to). As you noted, this can be changed at https://pl.wikipedia.org/wiki/MediaWiki:NewcomerTasks.json (which I've now created).

Hello @Catrope

  • Styl - ok
  • Edytowanie - ok
  • Przypisu -> Przypisy
  • Nowy artykuł - ok
  • Illustrowanie -> Ilustrowanie

Hello @Catrope

  • Styl - ok
  • Edytowanie - ok
  • Przypisu -> Przypisy
  • Nowy artykuł - ok
  • Illustrowanie -> Ilustrowanie

Thanks for the spelling/grammar corrections! An additional question for @PMG or @Nux: are these the link labels you'd expect to see in a list of help pages, or should they be longer than single words? For example, in English, the labels are things like "How to add an image", but not every language/culture uses long sentences like that.

Nux added a comment.Sep 10 2020, 12:53 AM

Hi, Roan. I think a slightly longer version is a good idea 🙂.

  • [[Pomoc:Styl – poradnik dla autorów|Poradnik dla autorów]]
  • [[Pomoc:Edytowanie|Edytowanie]]
  • [[Pomoc:VisualEditor#Tworzenie_nowego_przypisu|Jak dodać przypis]]
  • [[Pomoc:Jak napisać nowy artykuł||Jak napisać nowy artykuł]]
  • [[Pomoc:Ilustrowanie|Ilustrowanie artykułów]]

Thanks @Nux! I've updated the config patch to include these link labels.

The patch with the special page aliases will ride next week's deployment train (wmf.9, Sept 15-17), so I'm going to schedule the deployment enabling the Growth features on plwiki for the following Monday, September 21 at 18:00-19:00 UTC.

Catrope set Due Date to Sep 21 2020, 6:00 PM.Sep 10 2020, 11:56 PM

Change 625963 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable and configure GrowthExperiments on plwiki

https://gerrit.wikimedia.org/r/625963

Mentioned in SAL (#wikimedia-operations) [2020-09-21T18:53:37Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable and configure GrowthExperiments on plwiki (T254239) and ptwiki (T255027) (duration: 00m 56s)

Etonkovidova added a subscriber: Etonkovidova.

Moving for PM review - checked, no issues found.

@Trizek-WMF -- please resolve this once you have informed the Polish community and they check things out. Thank you!

Trizek-WMF closed this task as Resolved.Sep 22 2020, 5:34 PM